<?php
include_once("../php/config.php");
if($_GET["stock-almacen2"]==""){
	mysql_query("INSERT INTO inventario SET cantidad= '".$_GET["cantidad"]."',
				 codigo='".$_GET["producto"]."',
				 descripcion='".$_GET["descripcion"]."',
				 costo='".$_GET["costo"]."',
				 precio='".$_GET["precio"]."',
				 almacen='".$_GET["almacen2"]."',
				 tipo_impuestos='".$_GET["tipo_impuestos"]."',
				 valor_impuestos='".$_GET["valor_impuestos"]."'") or die(mysql_error());

}else{
	mysql_query("UPDATE inventario SET cantidad=cantidad + '".$_GET["cantidad"]."' WHERE codigo='".$_GET["producto"]."' AND almacen='".$_GET["almacen2"]."'") or die(mysql_error());
}
	mysql_query("UPDATE inventario SET cantidad=cantidad - '".$_GET["cantidad"]."' WHERE codigo='".$_GET["producto"]."' AND almacen='".$_GET["almacen1"]."'") or die(mysql_error());
	
	mysql_query("INSERT INTO transferencias_almacen SET cantidad= '".$_GET["cantidad"]."',
				 mercancia='".$_GET["descripcion"]."',
				 fecha=NOW(),
				 hora=NOW(),
				 desde='".$_GET["almacen1"]."',
				 hasta='".$_GET["almacen2"]."',
				 usuario='".$_GET["usuario"]."'") or die(mysql_error());
				 
	$concepto = "Transf. de ".$_GET["almacen1"]." hasta ".$_GET["almacen2"];
	mysql_query("INSERT INTO kardex SET cantidad= '".$_GET["cantidad"]."',
				 codigo='".$_GET["producto"]."',
				 descripcion='".$_GET["descripcion"]."',
				 fecha=NOW(),
				 hora=NOW(),
				 tipo='Tranferencia',
				 concepto='$concepto',
				 usuario='".$_GET["usuario"]."'") or die(mysql_error());
				 
echo 1;
?>